Loading...
Searching...
No Matches
ARC_Handler Struct Reference

## Data Fields

ARC_Vector * | data
ARC_Vector * | trash
ARC_Handler_CleanDataFn | cleanfn

## Detailed Description

Definition at line 7 of file handler.c.

## Field Documentation

## cleanfn

ARC_Handler_CleanDataFn ARC_Handler::cleanfn

Definition at line 11 of file handler.c.

Referenced by ARC_Handler_Clean().

## data

ARC_Vector* ARC_Handler::data

Definition at line 8 of file handler.c.

Referenced by ARC_Handler_Add(), ARC_Handler_Clear(), ARC_Handler_Destroy(), ARC_Handler_GetSize(), ARC_Handler_Iterate(), ARC_Handler_Remove(), and ARC_Handler_RemoveIndex().

## trash

ARC_Vector* ARC_Handler::trash

Definition at line 9 of file handler.c.

Referenced by ARC_Handler_Clean(), ARC_Handler_Destroy(), ARC_Handler_Remove(), and ARC_Handler_RemoveIndex().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/handler.c